CREATE TABLE ar_payment_schedules_all (
    PAYMENT_SCHEDULE_ID               NUMBER(18, 0) ,
    MODULE_ID                         VARCHAR2(128) ,
    AMOUNT_ON_ACCOUNT                 NUMBER        ,
    AMOUNT_OTHER_ACCOUNT              NUMBER        ,
    STAGED_DUNNING_LEVEL              NUMBER(2, 0)  ,
    DUNNING_LEVEL_OVERRIDE_DATE       DATE          ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    DUE_DATE                          DATE              NOT NULL,
    AMOUNT_DUE_ORIGINAL               NUMBER            NOT NULL,
    AMOUNT_DUE_REMAINING              NUMBER            NOT NULL,
    NUMBER_OF_DUE_DATES               NUMBER(18, 0)     NOT NULL,
    STATUS                            VARCHAR2(120)     NOT NULL,
    INVOICE_CURRENCY_CODE             VARCHAR2(60)      NOT NULL,
    CLASS                             VARCHAR2(80)      NOT NULL,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_SITE_USE_ID              NUMBER(18, 0) ,
    CUSTOMER_TRX_ID                   NUMBER(18, 0) ,
    CASH_RECEIPT_ID                   NUMBER(18, 0) ,
    ASSOCIATED_CASH_RECEIPT_ID        NUMBER(18, 0) ,
    TERM_ID                           NUMBER(18, 0) ,
    TERMS_SEQUENCE_NUMBER             NUMBER(18, 0) ,
    GL_DATE_CLOSED                    DATE              NOT NULL,
    ACTUAL_DATE_CLOSED                DATE              NOT NULL,
    DISCOUNT_DATE                     DATE          ,
    AMOUNT_LINE_ITEMS_ORIGINAL        NUMBER        ,
    AMOUNT_LINE_ITEMS_REMAINING       NUMBER        ,
    AMOUNT_APPLIED                    NUMBER        ,
    AMOUNT_ADJUSTED                   NUMBER        ,
    AMOUNT_IN_DISPUTE                 NUMBER        ,
    AMOUNT_CREDITED                   NUMBER        ,
    AMOUNT_WITHHELD                   NUMBER        ,
    RECEIVABLES_CHARGES_CHARGED       NUMBER        ,
    RECEIVABLES_CHARGES_REMAINING     NUMBER        ,
    FREIGHT_ORIGINAL                  NUMBER        ,
    FREIGHT_REMAINING                 NUMBER        ,
    TAX_ORIGINAL                      NUMBER        ,
    TAX_REMAINING                     NUMBER        ,
    DISCOUNT_ORIGINAL                 NUMBER        ,
    DISCOUNT_REMAINING                NUMBER        ,
    DISCOUNT_TAKEN_EARNED             NUMBER        ,
    DISCOUNT_TAKEN_UNEARNED           NUMBER        ,
    IN_COLLECTION                     VARCHAR2(4)   ,
    CASH_APPLIED_ID_LAST              NUMBER        ,
    CASH_APPLIED_DATE_LAST            DATE          ,
    CASH_APPLIED_AMOUNT_LAST          NUMBER        ,
    CASH_APPLIED_STATUS_LAST          VARCHAR2(120) ,
    CASH_GL_DATE_LAST                 DATE          ,
    CASH_RECEIPT_ID_LAST              NUMBER(18, 0) ,
    CASH_RECEIPT_DATE_LAST            DATE          ,
    CASH_RECEIPT_AMOUNT_LAST          NUMBER        ,
    CASH_RECEIPT_STATUS_LAST          VARCHAR2(120) ,
    EXCHANGE_RATE_TYPE                VARCHAR2(120) ,
    EXCHANGE_DATE                     DATE          ,
    EXCHANGE_RATE                     NUMBER        ,
    ADJUSTMENT_ID_LAST                NUMBER(18, 0) ,
    ADJUSTMENT_DATE_LAST              DATE          ,
    ADJUSTMENT_GL_DATE_LAST           DATE          ,
    ADJUSTMENT_AMOUNT_LAST            NUMBER        ,
    FOLLOW_UP_DATE_LAST               DATE          ,
    FOLLOW_UP_CODE_LAST               VARCHAR2(120) ,
    PROMISE_DATE_LAST                 DATE          ,
    PROMISE_AMOUNT_LAST               NUMBER        ,
    COLLECTOR_LAST                    NUMBER(18, 0) ,
    CALL_DATE_LAST                    DATE          ,
    TRX_NUMBER                        VARCHAR2(120) ,
    TRX_DATE                          DATE          ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    REVERSED_CASH_RECEIPT_ID          NUMBER(18, 0) ,
    AMOUNT_ADJUSTED_PENDING           NUMBER        ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    GL_DATE                           DATE              NOT NULL,
    ACCTD_AMOUNT_DUE_REMAINING        NUMBER            NOT NULL,
    PROGRAM_APPLICATION_ID            NUMBER(18, 0) ,
    PROGRAM_ID                        NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE               DATE          ,
    RECEIPT_CONFIRMED_FLAG            VARCHAR2(4)   ,
    REQUEST_ID                        NUMBER(18, 0) ,
    SELECTED_FOR_RECEIPT_BATCH_ID     NUMBER(18, 0) ,
    LAST_CHARGE_DATE                  DATE          ,
    SECOND_LAST_CHARGE_DATE           DATE          ,
    DISPUTE_DATE                      DATE          ,
    ORG_ID                            NUMBER(18, 0)     NOT NULL,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    CONS_INV_ID                       NUMBER(18, 0) ,
    CONS_INV_ID_REV                   NUMBER(18, 0) ,
    EXCLUDE_FROM_DUNNING_FLAG         VARCHAR2(4)   ,
    BR_AMOUNT_ASSIGNED                NUMBER        ,
    RESERVED_TYPE                     VARCHAR2(120) ,
    RESERVED_VALUE                    NUMBER(18, 0) ,
    ACTIVE_CLAIM_FLAG                 VARCHAR2(4)   ,
    EXCLUDE_FROM_CONS_BILL_FLAG       VARCHAR2(4)   ,
    PAYMENT_APPROVAL                  VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CUST_TRX_TYPE_SEQ_ID              NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER6          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER11         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER12         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER13         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER14         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER15         NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    DEL_CONTACT_EMAIL_ADDRESS         VARCHAR2(4000),
    PRINT_REQUEST_ID                  NUMBER(18, 0) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    EXPECTED_COLLECTION_AMOUNT        NUMBER        ,
    EXPECTED_COLLECTION_DATE          DATE          ,
    COLLECTION_BASED_FORECAST_DATE    DATE          ,
    COLLECTION_BASED_FORECAST_AMT     NUMBER        ,
    LEGAL_ENTITY_ID                   NUMBER(18, 0) ,
    PAYMENT_SCHEDULE_ID               NUMBER(18, 0) ,
    MODULE_ID                         VARCHAR2(128) ,
    AMOUNT_ON_ACCOUNT                 NUMBER        ,
    AMOUNT_OTHER_ACCOUNT              NUMBER        ,
    STAGED_DUNNING_LEVEL              NUMBER(2, 0)  ,
    DUNNING_LEVEL_OVERRIDE_DATE       DATE          ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    DUE_DATE                          DATE              NOT NULL,
    AMOUNT_DUE_ORIGINAL               NUMBER            NOT NULL,
    AMOUNT_DUE_REMAINING              NUMBER            NOT NULL,
    NUMBER_OF_DUE_DATES               NUMBER(18, 0)     NOT NULL,
    STATUS                            VARCHAR2(120)     NOT NULL,
    INVOICE_CURRENCY_CODE             VARCHAR2(60)      NOT NULL,
    CLASS                             VARCHAR2(80)      NOT NULL,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_SITE_USE_ID              NUMBER(18, 0) ,
    CUSTOMER_TRX_ID                   NUMBER(18, 0) ,
    CASH_RECEIPT_ID                   NUMBER(18, 0) ,
    ASSOCIATED_CASH_RECEIPT_ID        NUMBER(18, 0) ,
    TERM_ID                           NUMBER(18, 0) ,
    TERMS_SEQUENCE_NUMBER             NUMBER(18, 0) ,
    GL_DATE_CLOSED                    DATE              NOT NULL,
    ACTUAL_DATE_CLOSED                DATE              NOT NULL,
    DISCOUNT_DATE                     DATE          ,
    AMOUNT_LINE_ITEMS_ORIGINAL        NUMBER        ,
    AMOUNT_LINE_ITEMS_REMAINING       NUMBER        ,
    AMOUNT_APPLIED                    NUMBER        ,
    AMOUNT_ADJUSTED                   NUMBER        ,
    AMOUNT_IN_DISPUTE                 NUMBER        ,
    AMOUNT_CREDITED                   NUMBER        ,
    RECEIVABLES_CHARGES_CHARGED       NUMBER        ,
    RECEIVABLES_CHARGES_REMAINING     NUMBER        ,
    FREIGHT_ORIGINAL                  NUMBER        ,
    FREIGHT_REMAINING                 NUMBER        ,
    TAX_ORIGINAL                      NUMBER        ,
    TAX_REMAINING                     NUMBER        ,
    DISCOUNT_ORIGINAL                 NUMBER        ,
    DISCOUNT_REMAINING                NUMBER        ,
    DISCOUNT_TAKEN_EARNED             NUMBER        ,
    DISCOUNT_TAKEN_UNEARNED           NUMBER        ,
    IN_COLLECTION                     VARCHAR2(4)   ,
    CASH_APPLIED_ID_LAST              NUMBER        ,
    CASH_APPLIED_DATE_LAST            DATE          ,
    CASH_APPLIED_AMOUNT_LAST          NUMBER        ,
    CASH_APPLIED_STATUS_LAST          VARCHAR2(120) ,
    CASH_GL_DATE_LAST                 DATE          ,
    CASH_RECEIPT_ID_LAST              NUMBER(18, 0) ,
    CASH_RECEIPT_DATE_LAST            DATE          ,
    CASH_RECEIPT_AMOUNT_LAST          NUMBER        ,
    CASH_RECEIPT_STATUS_LAST          VARCHAR2(120) ,
    EXCHANGE_RATE_TYPE                VARCHAR2(120) ,
    EXCHANGE_DATE                     DATE          ,
    EXCHANGE_RATE                     NUMBER        ,
    ADJUSTMENT_ID_LAST                NUMBER(18, 0) ,
    ADJUSTMENT_DATE_LAST              DATE          ,
    ADJUSTMENT_GL_DATE_LAST           DATE          ,
    ADJUSTMENT_AMOUNT_LAST            NUMBER        ,
    FOLLOW_UP_DATE_LAST               DATE          ,
    FOLLOW_UP_CODE_LAST               VARCHAR2(120) ,
    PROMISE_DATE_LAST                 DATE          ,
    PROMISE_AMOUNT_LAST               NUMBER        ,
    COLLECTOR_LAST                    NUMBER(18, 0) ,
    CALL_DATE_LAST                    DATE          ,
    TRX_NUMBER                        VARCHAR2(120) ,
    TRX_DATE                          DATE          ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    REVERSED_CASH_RECEIPT_ID          NUMBER(18, 0) ,
    AMOUNT_ADJUSTED_PENDING           NUMBER        ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    GL_DATE                           DATE              NOT NULL,
    ACCTD_AMOUNT_DUE_REMAINING        NUMBER            NOT NULL,
    PROGRAM_APPLICATION_ID            NUMBER(18, 0) ,
    PROGRAM_ID                        NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE               DATE          ,
    RECEIPT_CONFIRMED_FLAG            VARCHAR2(4)   ,
    REQUEST_ID                        NUMBER(18, 0) ,
    SELECTED_FOR_RECEIPT_BATCH_ID     NUMBER(18, 0) ,
    LAST_CHARGE_DATE                  DATE          ,
    SECOND_LAST_CHARGE_DATE           DATE          ,
    DISPUTE_DATE                      DATE          ,
    ORG_ID                            NUMBER(18, 0)     NOT NULL,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    CONS_INV_ID                       NUMBER(18, 0) ,
    CONS_INV_ID_REV                   NUMBER(18, 0) ,
    EXCLUDE_FROM_DUNNING_FLAG         VARCHAR2(4)   ,
    BR_AMOUNT_ASSIGNED                NUMBER        ,
    RESERVED_TYPE                     VARCHAR2(120) ,
    RESERVED_VALUE                    NUMBER(18, 0) ,
    ACTIVE_CLAIM_FLAG                 VARCHAR2(4)   ,
    EXCLUDE_FROM_CONS_BILL_FLAG       VARCHAR2(4)   ,
    PAYMENT_APPROVAL                  VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CUST_TRX_TYPE_SEQ_ID              NUMBER(18, 0) ,
    DEL_CONTACT_EMAIL_ADDRESS         VARCHAR2(4000),
    PRINT_REQUEST_ID                  NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    EXPECTED_COLLECTION_AMOUNT        NUMBER        ,
    EXPECTED_COLLECTION_DATE          DATE          ,
    COLLECTION_BASED_FORECAST_DATE    DATE          ,
    COLLECTION_BASED_FORECAST_AMT     NUMBER        ,
    LEGAL_ENTITY_ID                   NUMBER(18, 0) ,
    AMOUNT_WITHHELD                   NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER6          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER7          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER8          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER9          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER10         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER11         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER12         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER13         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER14         NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER15         NUMBER        ,
    CONSTRAINT pk_ar_payment_schedules_all PRIMARY KEY (PAYMENT_SCHEDULE_ID, PAYMENT_SCHEDULE_ID)
);
